IObjectNode

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.model
Interface IObjectNode

    com.change_vision.jude.api.inf.model.IObjectNode

All Implemented Interfaces:
  IActivityNode, IElement, IHyperlinkOwner, INamedElement

public IObjectNode
extends IActivityNode

Interface for Object nodes.

Field Summary

Fields inherited from class com.change_vision.jude.api.inf.model.INamedElement
`PACKAGE_VISIBILITY, PRIVATE_VISIBILITY, PROTECTED_VISIBILITY, PUBLIC_VISIBILITY`

Method Summary
`abstract IClass` | `getBase()` Get Base Class.
`abstract String` | `getInState()` Get InState.

Methods inherited from class com.change_vision.jude.api.inf.model.IActivityNode
`getIncomings, getOutgoings`

Methods inherited from class com.change_vision.jude.api.inf.model.INamedElement
`getAlias1, getAlias2, getClientDependencies, getConstraints, getDefinition, getDiagrams, getName, getSupplierDependencies, isPackageVisibility, isPrivateVisibility, isProtectedVisibility, isPublicVisibility, setAlias1, setAlias2, setDefinition, setName, setVisibility`

Methods inherited from class com.change_vision.jude.api.inf.model.IElement
`addStereotype, getComments, getId, getOwner, getStereotypes, getTaggedValues, getTypeModifier, isReadOnly, removeStereotype, setTypeModifier`

Methods inherited from class com.change_vision.jude.api.inf.model.IHyperlinkOwner
`createElementHyperlink, createFileHyperlink, createURLHyperlink, deleteHyperlink, getHyperlinks`

Method Detail

### getInState

    public abstract String getInState()

  Get InState.

  Returns:
    InState.

### getBase

    public abstract IClass getBase()

  Get Base Class.

  Returns:
    Base Class.

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD